Uploaded image for project: 'SonarQube'
  1. SonarQube
  2. SONAR-12865

Support PostgreSQL 11 and 12

    XMLWordPrintable

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 8.2
    • Component/s: Database, Documentation
    • Labels:
      None
    • Edition:
      Community
    • Production Notes:
      None

      Description

      To keep SonarQube operable, we need to keep up with recent versions of databases. As PostgreSQL 9.3 reached end of life, we now need to support the latest versions, because users will more likely upgrade to PostgreSQL 12 than PostgreSQL 10. Official SQ supported version is PostgreSQL 10, but users are already using 11 and 12, because the jdbc driver we provide allow it.

      We need to make the QA to run on PostgreSQL 12. This incude updating the SonarQube doc requirements.

      Nice to have will be to provide a PostgreSQL 12 vagrant/docker image for SonarQube developers.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              pierre.guillot Pierre Guillot
              Reporter:
              pierre.guillot Pierre Guillot
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Due:
                Created:
                Updated:
                Resolved: